from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetFilterable(XInterface, Protocol):
    def createFilterDescriptor(self, bEmpty: bool) -> XSheetFilterDescriptor: ...
    def filter(self, xDescriptor: XSheetFilterDescriptor) -> None: ...
